org.apache.poi.hpbf

## Class HPBFDocument

- java.lang.Object
- - org.apache.poi.POIDocument
  - - org.apache.poi.POIReadOnlyDocument
    - - org.apache.poi.hpbf.HPBFDocument

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable

      public final class HPBFDocument
      extends POIReadOnlyDocument

  This class provides the basic functionality for HPBF, our implementation of the publisher file format.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HPBFDocument(DirectoryNode dir)` Opens an embedded publisher document, at the given directory.
    `HPBFDocument(java.io.InputStream inp)`
    `HPBFDocument(POIFSFileSystem fs)` Opens a new publisher document

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EscherDelayStm` | `getEscherDelayStm()`
    `EscherStm` | `getEscherStm()`
    `MainContents` | `getMainContents()`
    `QuillContents` | `getQuillContents()`

    - ### Methods inherited from class org.apache.poi.POIReadOnlyDocument

      `write, write, write`

    - ### Methods inherited from class org.apache.poi.POIDocument

      `clearDirectory, close, createInformationProperties, getDirectory, getDocumentSummaryInformation, getEncryptedPropertyStreamName, getEncryptionInfo, getPropertySet, getPropertySet, getSummaryInformation, initDirectory, readProperties, replaceDirectory, validateInPlaceWritePossible, writeProperties, writeProperties, writeProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HPBFDocument

          public HPBFDocument(POIFSFileSystem fs)
                       throws java.io.IOException

      Opens a new publisher document
      Throws:
        `java.io.IOException`

    - #### HPBFDocument

          public HPBFDocument(java.io.InputStream inp)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### HPBFDocument

          public HPBFDocument(DirectoryNode dir)
                       throws java.io.IOException

      Opens an embedded publisher document, at the given directory.
      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getMainContents

          public MainContents getMainContents()

    - #### getQuillContents

          public QuillContents getQuillContents()

    - #### getEscherStm

          public EscherStm getEscherStm()

    - #### getEscherDelayStm

          public EscherDelayStm getEscherDelayStm()

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.